Subject: RE: [nemo] RFC 3963 on Network Mobility (NEMO) Basic SupportProtocol- route optimization?

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Wed, 26 Jan 2005 09:14:20 +0100

You might find information in the various problem statements as well. 

Maybe you want to visit http://www.mobilenetworks.org/nemo/ 

Pascal

| -----Original Message-----
| From: [email-masked] [mailto:[email-masked]] On Behalf Of
| Carlos Jesús Bernardos Cano
| Sent: Wednesday, January 26, 2005 8:50 AM
| To: Hsu, Julian P
| Cc: [email-masked]; Alexandru Petrescu
| Subject: RE: [nemo] RFC 3963 on Network Mobility (NEMO) Basic
| SupportProtocol- route optimization?
| 
| Hi Julian,
| 
| El mar, 25-01-2005 a las 11:49 -0800, Hsu, Julian P escribió:
| > Hi Alexandru,
| >
| > Thanks for your reply!  I was especially heartened to find a NEMO
| > terminology internet draft on the site that you directed me to.  I am
| > interested in this topic because I am involved in system engineering for
| > a network architecture that has mobile networks with changing points of
| > connection to the infrastructure network.  Pretty much exactly what NEMO
| > seems to be addressing.
| >
| > The restriction that LFNs go through the tunnel, though, can be
| > undesirable when the triangle routing from LFN to CN goes through say
| > more high latency, low bandwidth, etc. links than the optimized path..
| > Are there any developments or efforts towards solidifying alternatives
| > based on the MR trusting the LFN, or will running Mobile IPv6 within
| > those LFNs that would like to initiate their own RR tests be sufficient?
| 
| 	We are working (within EU FP6 DAIDALOS project) on a solution
| exactly
| for that (sort-of "proxy MR"). Preliminar results are already published
| in a paper (MIRON: MIPv6 Route Optimization for NEMO) that can be found
| at http://www.it.uc3m.es/cjbc/papers/miron_aswn2004.pdf. Of course,
| comments are welcome.
| 
| 	Kind Regards,
| 
| 	Carlos J.
| 
| 
| 
| >
| >
| > Thanks again,
| >
| > Julian
| >
| >
| >
| > -----Original Message-----
| > From: Alexandru Petrescu [mailto:[email-masked]]
| > Sent: Tuesday, January 25, 2005 11:05 AM
| > To: Hsu, Julian P
| > Cc: [email-masked]
| > Subject: Re: [nemo] RFC 3963 on Network Mobility (NEMO) Basic Support
| > Protocol- route optimization?
| >
| >
| > Hsu, Julian P wrote:
| > > poster) question.  I notice that the RFC says that it does not
| > > describe route optimization of traffic between nodes in the mobile
| > > network and correspondent nodes, and later that it allows route
| > > optimization for traffic originating from the Mobile Router.
| >
| > Yes, exactly, MR can use RO just like any MH (Mobile Host, what people
| > call MN).  An application running on MR may easily enjoy the benefits of
| > RO as per RFC3775.
| >
| > > Is there a discussion somewhere about the reasons for excluding mobile
| >
| > > network nodes from the route optimization process?
| >
| > RO discussion in the early archives in mobilenetworks.org/nemo/archives.
| >
| > An application on LFN initiates communication to CN.  The MR is just in
| > between and tunnels/detunnels.  The LFN does not implement RO because
| > it's not Mobile IPv6 node.
| >
| > How could MR send RR (Return Routability) tests to CN if that MR's Home
| > Address is different than the LFN's address.  These two addresses are
| > obviously different.  In order to make this "proxy" RR  (MR does RR "on
| > behalf" of LFN) work there is need of some insurance at MR that it
| > trusts the LFN and vice-versa.
| >
| > > I couldn't tell from my readings of rfc 3775 on Mobility Support in
| > > IPv6 and this RFC 3963 why it would not be straightforward to have the
| >
| > > NEMO home agent allow route optimization to mobile network nodes known
| >
| > > to be attached to a mobile router..
| >
| > It's less a matter of HA, than a matter of MR and LFN.  LEss, but no 0.
| >
| > I imagine HA uses its BC when participating in RR for rfc3775, and LFN
| > does not have an entry in the BC (MR does).  The NEMO prefix may be in
| > the BC, ok, but HA could not participate in RR tests for all Home
| > Addresses of the NEMO prefix.
| >
| > Why are you asking?
| >
| > Alex
| >
| --
| Carlos Jesús Bernardos Cano - http://www.netcoms.net
| GPG FP: 58C3 4227 AF8D 01D4 5A09  A617 E6F2 B23E DAD6 AA40